searchNodes=[{"ref":"GuardianTrackable.html","title":"GuardianTrackable","type":"module","doc":"A Guardian hook to track user sign in. Tracks the following values: sign_in_count - Increased every time a sign in is made current_sign_in_at - A timestamp updated when the user signs in last_sign_in_at - Holds the timestamp of the previous sign in current_sign_in_ip - The remote ip updated when the user sign in last_sign_in_ip - Holds the remote ip of the previous sign in To use it, you&#39;ll need to setup your schema like this: defmodule MyApp.User do use Ecto.Schema use GuardianTrackable.Schema schema &quot;users&quot; do guardian_trackable() end end Then, you can add the following configuration to your Guardian module: defmodule MyApp.Guardian do use Guardian, otp_app: :my_app @impl true def after_sign_in(conn, resource, _token, _claims, _opts) do GuardianTrackable.track!(MyApp.Repo, resource, conn.remote_ip) {:ok, conn} end end"},{"ref":"GuardianTrackable.html#track!/3","title":"GuardianTrackable.track!/3","type":"function","doc":"Updates a resource with tracking information. Example iex&gt; GuardianTrackable.track!(MyApp.Repo, user, {127, 0, 0, 1}) %User{ current_sign_in_at: #DateTime&lt;2017-10-31 19:42:42.372012Z&gt;, current_sign_in_ip: &quot;127.0.0.1&quot;, last_sign_in_at: #DateTime&lt;2017-10-31 19:42:42.372012Z&gt;, last_sign_in_ip: &quot;127.0.0.1&quot;, sign_in_count: 1 }"},{"ref":"GuardianTrackable.html#trackable_changeset/2","title":"GuardianTrackable.trackable_changeset/2","type":"function","doc":"Creates a changeset for tracking. Example iex&gt; GuardianTrackable.trackable_changeset(user, {127, 0, 0, 1}) %Ecto.Changset{changes: %{ current_sign_in_at: #DateTime&lt;2017-10-31 19:42:42.372012Z&gt;, current_sign_in_ip: &quot;127.0.0.1&quot;, last_sign_in_at: #DateTime&lt;2017-10-31 19:42:42.372012Z&gt;, last_sign_in_ip: &quot;127.0.0.1&quot;, sign_in_count: 1 }}"},{"ref":"GuardianTrackable.Schema.html","title":"GuardianTrackable.Schema","type":"module","doc":""},{"ref":"GuardianTrackable.Schema.html#guardian_trackable/0","title":"GuardianTrackable.Schema.guardian_trackable/0","type":"macro","doc":""},{"ref":"Mix.Tasks.GuardianTrackable.Install.html","title":"Mix.Tasks.GuardianTrackable.Install","type":"task","doc":"Generates a migration. The repository must be set under :ecto_repos in the current app configuration or given via the -r option. This generator follows the functionality of ecto.gen.migration, so it will be created in the configured migration direction with a timestamp-prefixed filename. Examples mix guardian_trackable.install mix guardian_trackable.install -r Custom.Repo mix guardian_trackable.install --schema accounts Command line options -r, --repo - the repo to generate migration for --schema - the schema to generate migration for"}]